io.undertow.server.handlers.proxy

## Interface ConnectionPoolErrorHandler

All Known Subinterfaces:
  ConnectionPoolManager

All Known Implementing Classes:
  ConnectionPoolErrorHandler.CountingErrorHandler, ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler, LoadBalancingProxyClient.Host

    public interface ConnectionPoolErrorHandler

The connection pool error handler is intended to be used per node and will therefore be shared across I/O threads.

Author:
  Emanuel Muckenhuber

### Nested Class Summary

Nested Classes
`static class` `ConnectionPoolErrorHandler.CountingErrorHandler` Counting error handler, this only propagates the state to the delegate handler after reaching a given limit.
`static class` `ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `clearError()` Clear the connection errors.
`boolean` `handleError()` Handle a connection error.
`boolean` `isAvailable()` Check whether pool is available

### Method Detail

#### isAvailable

    boolean isAvailable()

Check whether pool is available

Returns:
  whether the pool is available

#### handleError

    boolean handleError()

Handle a connection error.

Returns:
  `true` if the pool is still available, `false` otherwise

#### clearError

    boolean clearError()

Clear the connection errors.

Returns:
  `true` if the pool is available again, `false` otherwise